> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Enablements for an Event Orchestration

`GET https://api.pagerduty.com/event_orchestrations/{id}/enablements`

List all feature enablement settings for an Event Orchestration. Currently, only the `aiops` enablement is supported.

For any account with the AIOps product addon, every Event Orchestration will have AIOps features enabled by default.

**Warning conditions**:
- If the account is not entitled to use AIOps features, a warning will be returned alongside the enablement data.

For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged.

Scoped OAuth requires: `event_orchestrations.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `id` | string | yes | The ID of an Event Orchestration. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

The list of feature enablement settings for the Event Orchestation.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `enablements` | array of object |  | Array of feature enablement settings. |
| `enablements[].feature` | string |  | The name of the product addon whose set of features will be enabled or disabled. For PDRP customers, this feature is branded **Signal Intelligence** in the PagerDuty product UI. The API field names and values (e.g. `aiops`) are unchanged. Read-only. |
| `enablements[].enabled` | boolean | yes | A boolean value indicating whether the specified product addon is enabled or disabled. |
| `enablements[].updated_at` | string (date-time) |  | The time the feature enablement was last updated. Read-only. |
| `enablements[].warnings` | array of object |  | An array of warnings related to this feature enablement. Only present if warning conditions are met. Read-only. |
| `enablements[].warnings[].message` | string |  | The warning message. |

Example: Success Response

```json
{
  "enablements": [
    {
      "feature": "aiops",
      "enabled": true,
      "updated_at": "2025-04-25T15:00:00Z"
    }
  ]
}
```

Example: Response with No Entitlement Warning

```json
{
  "enablements": [
    {
      "feature": "aiops",
      "enabled": true,
      "updated_at": "2025-04-25T15:00:00Z",
      "warnings": [
        {
          "message": "You can't use AIOps functionality with this Orchestration because your account hasn't purchased AIOps"
        }
      ]
    }
  ]
}
```

Example: Default Response (No Settings Configured)

```json
{
  "enablements": [
    {
      "feature": "aiops",
      "enabled": true,
      "updated_at": null
    }
  ]
}
```

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 404

The requested resource was not found.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 500

Internal Server Error the PagerDuty server experienced an error.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
